package cn.iocoder.yudao.module.system.service.path;

import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapItemRespVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapItemSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLineSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapSaveReqVO;

public interface PathPlanningService {
    void synchronousPoint(PositionMapSaveReqVO positionMapSaveReqVO);

    void synchronousAllItem(PositionMapSaveReqVO positionMapSaveReqVO);

    void synchronousLineAdd(PositionMapLineSaveReqVO data);

    void synchronousLineDelete(PositionMapLineSaveReqVO data);

    void synchronousLineUpdate(PositionMapLineSaveReqVO data);

    void synchronousAllItemAdd(PositionMapItemSaveReqVO positionMapItemSaveReqVO);

    void synchronousItemDelete(PositionMapItemSaveReqVO positionMapItemSaveReqVO);

    void synchronousItemUpdate(PositionMapItemSaveReqVO positionMapItemSaveReqVO);

    void robotDimensions();
}
